RPMDB(8)

BEZEICHNUNG
rpmdb - RPM-Datenbankwerkzeug

ÜBERSICHT
rpmdb {--initdb|--rebuilddb}

rpmdb {--verifydb}

rpmdb {--exportdb|--importdb}

BESCHREIBUNG
Die allgemeine Form eines Rpmdb-Befehls lautet

rpmdb {--initdb|--rebuilddb} [-v] [--dbpath VERZEICHNIS] [--root VERZEICHNIS]

Mit --initdb erstellen Sie eine neue Datenbank, falls noch keine existiert (eine existierende Datenbank wird dabei nicht überschrieben). Mit --rebuilddb erstellen Sie die Datenbankindizes aus den Kopfdaten der installierten Pakete neu.

--verifydb führt eine systemnahe Prüfung der Integrität der Datenbank durch.

--exportdb exportiert die Datenbank im Format »Kopfdaten-Liste«. Dies ist für die Übertragung auf einen anderen Rechner oder in eine andere Art von Datenbank nutzbar.

--importdb importiert eine Datenbank im Format »Kopfdaten-Liste«, wie sie mittels --exportdb erzeugt wurde.

SIEHE AUCH
popt(3), rpm(8), rpmkeys(8), rpmsign(8), rpm2cpio(8), rpmbuild(8), rpmspec(8)

rpmdb --help - da rpm(8) benutzerdefinierte Optionen über Popt-Aliase unterstützt, kann unmöglich garantiert werden, dass die Beschreibungen in diesem Handbuch exakt dem entsprechen, was verfügbar ist.

http://www.rpm.org/ <URL:http://www.rpm.org/>

AUTOREN

        Marc Ewing <marc@redhat.com>
        Jeff Johnson <jbj@redhat.com>
        Erik Troan <ewt@redhat.com>
        Panu Matilainen <pmatilai@redhat.com>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Christoph Brinkhaus <c.brinkhaus@t-online.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).